Build failed in Hudson: IcedTea6TargetTesting #390
Hudson Admin
gnu_andrew at member.fsf.org
Fri Jul 2 08:10:03 PDT 2010
See <http://toadeater:8080/job/IcedTea6TargetTesting/390/>
------------------------------------------
[...truncated 1258 lines...]
-o -type d -exec chmod 750 '{}' ';'; \
fi
mkdir -p stamps ; \
rm -f stamps/patch-fsg.stamp.tmp ; \
touch stamps/patch-fsg.stamp.tmp ; \
all_patches_ok=yes; \
for p in ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /usr/bin/patch -l -p0 --dry-run -s -t -f \
< /notnfs/nighttester/icedtea6-target-testing/$p ; \
then \
echo Applying $p ; \
/usr/bin/patch -l -p0 < /notnfs/nighttester/icedtea6-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea6-target-testing/HACKING \
>> stamps/patch-fsg.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch-fsg.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch-fsg.stamp.tmp stamps/patch-fsg.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi ;
mkdir -p stamps; \
rm -f stamps/patch-ecj.stamp.tmp ; \
touch stamps/patch-ecj.stamp.tmp ; \
all_patches_ok=yes; \
for p in patches/ecj/icedtea.patch patches/ecj/icedtea-hotspot.patch patches/ecj/icedtea-spp.patch patches/ecj/icedtea-jopt.patch patches/ecj/icedtea-jaxp-dependency.patch patches/ecj/bootver.patch patches/ecj/getannotation-cast.patch patches/ecj/override.patch ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /usr/bin/patch -l -p0 --dry-run -s -t -f \
< /notnfs/nighttester/icedtea6-target-testing/$p ; \
then \
echo Applying $p ; \
/usr/bin/patch -l -p0 < /notnfs/nighttester/icedtea6-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea6-target-testing/HACKING \
>> stamps/patch-ecj.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch-ecj.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch-ecj.stamp.tmp stamps/patch-ecj.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi
Checking patches/ecj/icedtea.patch
Applying patches/ecj/icedtea.patch
patching file openjdk-ecj/corba/make/com/sun/corba/se/Makefile
patching file openjdk-ecj/corba/make/com/sun/corba/se/org/Makefile
patching file openjdk-ecj/corba/make/com/sun/corba/se/sources/Makefile
patching file openjdk-ecj/corba/make/common/Defs.gmk
patching file openjdk-ecj/corba/make/common/Defs-linux.gmk
Hunk #1 succeeded at 271 (offset -1 lines).
patching file openjdk-ecj/corba/make/common/Rules.gmk
patching file openjdk-ecj/corba/make/common/shared/Defs-java.gmk
Hunk #1 succeeded at 120 (offset 3 lines).
patching file openjdk-ecj/corba/make/org/omg/sources/Makefile
patching file openjdk-ecj/corba/make/sun/rmi/corbalogsources/Makefile
patching file openjdk-ecj/jaxp/build.xml
Hunk #1 succeeded at 131 (offset 9 lines).
patching file openjdk-ecj/jaxws/build.xml
Hunk #1 succeeded at 131 (offset 9 lines).
patching file openjdk-ecj/jdk/make/common/BuildToolJar.gmk
patching file openjdk-ecj/jdk/make/common/Release.gmk
Hunk #1 succeeded at 649 (offset 2 lines).
Hunk #2 succeeded at 721 (offset 2 lines).
Hunk #3 succeeded at 967 (offset 2 lines).
Hunk #4 succeeded at 1045 (offset 2 lines).
patching file openjdk-ecj/jdk/make/common/Rules.gmk
patching file openjdk-ecj/jdk/make/common/shared/Defs-java.gmk
patching file openjdk-ecj/jdk/make/java/nio/Makefile
patching file openjdk-ecj/jdk/make/java/text/Makefile
patching file openjdk-ecj/jdk/make/Makefile
patching file openjdk-ecj/jdk/make/sun/awt/Makefile
patching file openjdk-ecj/jdk/make/sun/javazic/Makefile
patching file openjdk-ecj/jdk/make/sun/text/Makefile
patching file openjdk-ecj/jdk/make/sun/xawt/Makefile
patching file openjdk-ecj/jdk/make/tools/src/build/tools/generatecharacter/GenerateCharacter.java
patching file openjdk-ecj/jdk/src/share/classes/java/lang/Double.java
patching file openjdk-ecj/jdk/src/share/classes/java/lang/Float.java
patching file openjdk-ecj/langtools/make/build.properties
patching file openjdk-ecj/langtools/make/build.xml
Checking patches/ecj/icedtea-hotspot.patch
Applying patches/ecj/icedtea-hotspot.patch
patching file openjdk-ecj/hotspot/make/linux/Makefile
patching file openjdk-ecj/hotspot/make/linux/makefiles/sa.make
Checking patches/ecj/icedtea-spp.patch
Applying patches/ecj/icedtea-spp.patch
patching file openjdk-ecj/jdk/make/tools/src/build/tools/spp/Spp.java
Checking patches/ecj/icedtea-jopt.patch
Applying patches/ecj/icedtea-jopt.patch
patching file openjdk-ecj/corba/make/common/shared/Defs-java.gmk
patching file openjdk-ecj/jdk/make/common/shared/Defs-java.gmk
Checking patches/ecj/icedtea-jaxp-dependency.patch
Applying patches/ecj/icedtea-jaxp-dependency.patch
patching file openjdk-ecj/jaxws/build.properties
patching file openjdk-ecj/jaxws/build.xml
Hunk #1 succeeded at 124 with fuzz 1 (offset 9 lines).
Checking patches/ecj/bootver.patch
Applying patches/ecj/bootver.patch
patching file openjdk-ecj/jdk/make/common/shared/Platform.gmk
Hunk #1 succeeded at 88 with fuzz 1.
Checking patches/ecj/getannotation-cast.patch
Applying patches/ecj/getannotation-cast.patch
patching file openjdk/jdk/src/share/classes/com/sun/jmx/mbeanserver/OpenConverter.java
patching file openjdk/jdk/src/share/classes/java/beans/MetaData.java
Hunk #1 succeeded at 1604 (offset -24 lines).
Checking patches/ecj/override.patch
Applying patches/ecj/override.patch
patching file openjdk-ecj/jdk/src/share/classes/javax/swing/plaf/synth/SynthComboBoxUI.java
patching file openjdk-ecj/jdk/src/share/classes/javax/swing/plaf/synth/SynthLookAndFeel.java
patching file openjdk-ecj/jdk/src/share/classes/javax/swing/plaf/synth/SynthTreeUI.java
patching file openjdk-ecj/jdk/src/share/classes/sun/swing/plaf/synth/SynthFileChooserUIImpl.java
patching file openjdk-ecj/jdk/src/share/classes/sun/security/provider/certpath/OCSPResponse.java
patching file openjdk-ecj/jdk/src/share/classes/sun/net/www/protocol/https/HttpsClient.java
+ make native-ecj
mkdir -p stamps ; \
if test "xno" != "xno"; then \
no -g -O2 -m64 -Wl,-Bsymbolic -findirect-dispatch -o native-ecj \
--main=org.eclipse.jdt.internal.compiler.batch.Main /usr/share/java/eclipse-ecj.jar ; \
fi ; \
touch stamps/native-ecj.stamp
+ make bootstrap-directory-ecj
mkdir -p bootstrap/ecj/bin stamps/
ln -sf /usr/bin/gij bootstrap/ecj/bin/java
ln -sf /usr/bin/gjavah bootstrap/ecj/bin/javah
ln -sf /usr/bin/grmic bootstrap/ecj/bin/rmic
ln -sf /usr/bin/gjar bootstrap/ecj/bin/jar
ln -sf ../../../javac bootstrap/ecj/bin/javac
ln -sf ../../../javap bootstrap/ecj/bin/javap
mkdir -p bootstrap/ecj/lib/endorsed && \
ln -sf /usr/share/java/xalan-j2.jar bootstrap/ecj/lib/endorsed/xalan-j2.jar && \
ln -sf /usr/share/java/xalan-j2-serializer.jar \
bootstrap/ecj/lib/endorsed/xalan-j2-serializer.jar && \
ln -sf /usr/share/java/xerces-j2.jar bootstrap/ecj/lib/endorsed/xerces-j2.jar
mkdir -p bootstrap/ecj/jre/lib && \
cp /usr/lib/jvm/java-gcj/jre/lib/rt.jar \
/notnfs/nighttester/icedtea6-target-testing/bootstrap/ecj/jre/lib/rt.jar && \
ln -sf /usr/lib/jvm/java-gcj/jre/lib/amd64 \
bootstrap/ecj/jre/lib/ && \
if ! test -d bootstrap/ecj/jre/lib/amd64; \
then \
ln -sf ./amd64 \
bootstrap/ecj/jre/lib/amd64; \
fi;
mkdir -p bootstrap/ecj/include && \
for i in /usr/lib/jvm/java-gcj/include/*; do \
test -r $i | continue; \
i=`basename $i`; \
rm -f bootstrap/ecj/include/$i; \
ln -s /usr/lib/jvm/java-gcj/include/$i bootstrap/ecj/include/$i; \
done
mkdir -p /notnfs/nighttester/icedtea6-target-testing/bootstrap/ecj/lib && \
ln -sf /notnfs/nighttester/icedtea6-target-testing/bootstrap/ecj/jre/lib/rt.jar \
/notnfs/nighttester/icedtea6-target-testing/bootstrap/ecj/lib/tools.jar
mkdir -p stamps
touch stamps/bootstrap-directory-ecj.stamp
+ make bootstrap-directory-symlink-ecj
rm -f bootstrap/jdk1.6.0
ln -sf ecj bootstrap/jdk1.6.0
mkdir -p stamps
touch stamps/bootstrap-directory-symlink-ecj.stamp
+ make icedtea-ecj
find /notnfs/nighttester/icedtea6-target-testing/netx -name '*.java' | sort > netx-source-files.txt
set -e ; \
if [ ! -e /notnfs/nighttester/icedtea6-target-testing/generated ]; then \
cp -a /notnfs/nighttester/icedtea6-target-testing/generated /notnfs/nighttester/icedtea6-target-testing; \
find /notnfs/nighttester/icedtea6-target-testing/generated -type f -exec chmod 640 '{}' ';' \
-o -type d -exec chmod 750 '{}' ';'; \
fi
mkdir -p stamps ; \
rm -f stamps/patch-fsg.stamp.tmp ; \
touch stamps/patch-fsg.stamp.tmp ; \
all_patches_ok=yes; \
for p in ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /usr/bin/patch -l -p0 --dry-run -s -t -f \
< /notnfs/nighttester/icedtea6-target-testing/$p ; \
then \
echo Applying $p ; \
/usr/bin/patch -l -p0 < /notnfs/nighttester/icedtea6-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea6-target-testing/HACKING \
>> stamps/patch-fsg.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch-fsg.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch-fsg.stamp.tmp stamps/patch-fsg.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi ;
mkdir -p stamps ; \
rm -f stamps/patch.stamp.tmp ; \
touch stamps/patch.stamp.tmp ; \
all_patches_ok=yes; \
for p in patches/shark_do_nothing_on_stub_frame.patch patches/icedtea-notice-safepoints.patch patches/icedtea-parisc-opt.patch patches/icedtea-lucene-crash.patch patches/icedtea-version.patch patches/icedtea-version-hotspot.patch patches/icedtea-text-relocations.patch patches/icedtea-ssl.patch patches/icedtea-rmi_amd64.patch patches/icedtea-tools.patch patches/icedtea-use-system-tzdata.patch patches/icedtea-headers.patch patches/icedtea-headers-hotspot.patch patches/icedtea-gcc-suffix.patch patches/icedtea-gcc-suffix-hotspot.patch patches/icedtea-bytebuffer-compact.patch patches/memory-limits.patch patches/icedtea-sunsrc.patch patches/icedtea-libraries.patch patches/icedtea-javafiles.patch patches/icedtea-jvmtiEnv.patch patches/icedtea-lcms.patch patches/icedtea-timerqueue.patch patches/icedtea-print-lsb-release.patch patches/icedtea-jpegclasses.patch patches/icedtea-uname.patch patches/icedtea-freetypeversion.patch patches/icedtea-shark-build.patch patches/icedtea-shark-build-hotspot.patch patches/icedtea-nomotif-6706121.patch patches/icedtea-nomotif.patch patches/icedtea-nomotif-mtoolkit.patch patches/icedtea-alpha-fixes.patch patches/icedtea-alt-jar.patch patches/icedtea-jdk-use-ssize_t.patch patches/icedtea-use-idx_t.patch patches/params-cast-size_t.patch patches/icedtea-clean-crypto.patch patches/icedtea-shark.patch patches/icedtea-arch.patch patches/icedtea-lc_ctype.patch patches/icedtea-xjc.patch patches/icedtea-renderer-crossing.patch patches/icedtea-stroker-finish.patch patches/icedtea-linker-libs-order.patch patches/icedtea-testenv.patch patches/icedtea-samejvm-safe.patch patches/icedtea-pr261.patch patches/icedtea-sparc-buildfixes.patch patches/icedtea-sparc64-linux.patch patches/icedtea-sparc-ptracefix.patch patches/icedtea-sparc-trapsfix.patch patches/icedtea-demo-swingapplet.patch patches/icedtea-awt-window-size.patch patches/icedtea-jtreg-6592792.patch patches/icedtea-s390-noinline.patch patches/icedtea-jtreg-dnd.patch patches/icedtea-jtreg-jrunscript.patch patches/icedtea-network-unreachable.patch patches/icedtea-dnd-filelists.patch patches/icedtea-java2d-stroker-internal-joint.patch patches/icedtea-java2d-stroker-internal-close-joint.patch patches/icedtea-disable-cc-incompatible-sanity-checks.patch patches/icedtea-explicit-target-arch.patch patches/icedtea-gcc-stack-markings.patch patches/icedtea-no-precompiled.patch patches/icedtea-linux-separate-debuginfo.patch patches/icedtea-parisc.patch patches/icedtea-sh4-support.patch patches/libpng.patch patches/shark.patch patches/extensions/netx.patch patches/extensions/netx-dist.patch patches/extensions/netx-umask.patch patches/icedtea-jtreg-httpTest.patch patches/arm.patch patches/shark-debug-option.patch patches/openjdk/6961732.patch patches/debug-dir.patch patches/no-sync.patch patches/icedtea-rhino.patch patches/extensions/liveconnect.patch patches/extensions/liveconnect-dist.patch patches/xrender/icedtea-000.patch patches/xrender/icedtea-001.patch patches/xrender/icedtea-002.patch patches/xrender/icedtea-003.patch patches/xrender/icedtea-004.patch patches/xrender/icedtea-005.patch patches/xrender/icedtea-006.patch patches/xrender/icedtea-007.patch patches/xrender/icedtea-008.patch patches/xrender/icedtea-009.patch patches/icedtea-nss-not-enabled-config.patch ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /usr/bin/patch -l -p0 --dry-run -s -t -f \
< /notnfs/nighttester/icedtea6-target-testing/$p ; \
then \
echo Applying $p ; \
/usr/bin/patch -l -p0 < /notnfs/nighttester/icedtea6-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea6-target-testing/HACKING \
>> stamps/patch.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch.stamp.tmp stamps/patch.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi
Checking patches/shark_do_nothing_on_stub_frame.patch
1 out of 1 hunk FAILED -- saving rejects to file openjdk/hotspot/src/share/vm/runtime/frame.cpp.rej
ERROR patch patches/shark_do_nothing_on_stub_frame.patch FAILED!
WARNING make clean-patch before retrying a fix
make: *** [stamps/patch.stamp] Error 2
+ exit 1
More information about the icedtea-test
mailing list